Subject: bug#61395: 28.2; bug-reference warning seems incorrect

From: Tom Tromey <[email-masked]>
Date: Fri, 10 Feb 2023 11:10:12 -0700

Tassilo> many times in buffer.c but `syntax-ppss' doesn't seem to clobber
Tassilo> match-data.

Seems like it would depend on whether the major mode uses regexps here?
My case is using tcl-mode FWIW.

However a superficial look at the syntax-ppss code shows it's calling
save-match-data in some spots, so perhaps this isn't the bug.  Just a
theory after all...

thanks,
Tom